summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2019-01-01 13:54:08 -0600
committerTim Harder <radhermit@gentoo.org>2019-01-02 15:25:29 -0600
commit16efeb19ebffd0d02a18dc7662d466c464beabd2 (patch)
tree890198bba93eb535922ffd9fdc972e025ea6b072
parentdev-python/pyparsing: version bump to 2.3.0 (diff)
downloadgentoo-16efeb19ebffd0d02a18dc7662d466c464beabd2.tar.gz
gentoo-16efeb19ebffd0d02a18dc7662d466c464beabd2.tar.bz2
gentoo-16efeb19ebffd0d02a18dc7662d466c464beabd2.zip
dev-python/psutil: version bump to 5.4.8
Signed-off-by: Tim Harder <radhermit@gentoo.org>
-rw-r--r--dev-python/psutil/Manifest1
-rw-r--r--dev-python/psutil/psutil-5.4.8.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/dev-python/psutil/Manifest b/dev-python/psutil/Manifest
index f1ef3371738..bad68afd0ea 100644
--- a/dev-python/psutil/Manifest
+++ b/dev-python/psutil/Manifest
@@ -1,3 +1,4 @@
DIST psutil-5.4.1.tar.gz 408489 BLAKE2B 867dd9b535134ff2ef5960f774891eb4743afc5857c4e0ba7306bd4feb42f3b255a6174a092eff2814f3e2ec9d29179d23ffe495ca85dba56fc42616e67c9a8b SHA512 84d9f61cc6c51798d98ac2f727a50d85de32171645d01abf85d4f8c58bdb3b40997ab717f859de3ea21cf5b24867e1a416ee3036d6167d3fe735eca4607a110f
DIST psutil-5.4.3.tar.gz 412550 BLAKE2B c12a8418e7a7573d23a2599c6a4df9a3aa3bbe6b9cbef9e0f48b0379944e2aa06ed498adfddc30e8d9ba8e02a08f79d4867dc1e313a62040ad3550d69d62664f SHA512 f2a0f3089c3436df52d509576795e1de14c4127918fbe63b8f116f7c097ba4d67e3b55a8da167a88c6ffd340bb443109d4887c03371810997ced4478b295f960
DIST psutil-5.4.7.tar.gz 420300 BLAKE2B e096997d22577f90cd6fc6019f2bde8855abda0eb67b496dfb8cc8dbce769e0c7da66524ac6d0c059e7a2d074a1675187af3177d904feab5a76b9b8a72c63853 SHA512 553c6de601d4c4d0c6a9dccc3eb8a449f1b3a18cd71648395ea3b43da3c92aef1565f6ce763872855d68b3de190dbd04c7f5be5ed4a79b0167d737c1825c0e2c
+DIST psutil-5.4.8.tar.gz 422742 BLAKE2B 13c4b9b412704728c4b192032a6be78756b03a37cd6f425a81a83d0aca4ce155ebf24a1f62b75e66433f21e8bd3f2fa3c7bbb5ec2686c6dc951b89e97ebfa688 SHA512 5691e7e7ecd827aff2755a85c4c1be3a23beec3a1dbff079547991dcfffa8e075cff7fb6983e1f6fa287e2216e3b1466618730afaf114a0ee209d7b70d7b0c6a
diff --git a/dev-python/psutil/psutil-5.4.8.ebuild b/dev-python/psutil/psutil-5.4.8.ebuild
new file mode 100644
index 00000000000..3eb377238a7
--- /dev/null
+++ b/dev-python/psutil/psutil-5.4.8.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Retrieve information on running processes and system utilization"
+HOMEPAGE="https://github.com/giampaolo/psutil https://pypi.org/project/psutil/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/ipaddress[${PYTHON_USEDEP}]
+ )
+"
+
+# Many tests fail, even on a regular tox run on a upstream clone
+RESTRICT="test"
+
+python_test() {
+ ${PYTHON} psutil/tests/__main__.py || die
+}